<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />

    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css" />

    <script type="text/javascript">
      if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
      } else {
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
      }
    </script>

    <script type="module" src="js/dist/pearson-modal.js"></script>

  </head>

  <body>
  <main id="main">
    <section class="container target">
    </section>
  </main>
  <pearson-modal
          class="hidden"
          triggerid="trigger-modal"
          titletext="Basic Title"
          successbtntext="Success"
          cancelbtntext="Cancel"
          footer
          showonload
          >
    <div>
      <p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. In massa tellus, porta in venenatis eget, pulvinar in arcu. Ut eu cursus augue. Sed eget tempus sem, nec suscipit justo. Cras sit amet accumsan massa, non elementum erat. Quisque et ultricies risus. Mauris id feugiat metus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Cras quis libero a urna eleifend placerat. Nunc varius lorem at commodo viverra. Vivamus lobortis diam et nibh tempor, vitae laoreet sapien auctor. Interdum et malesuada fames ac ante ipsum primis in faucibus.</p>
    </div>
  </pearson-modal>
  <script>
     const  modal = document.querySelector('pearson-modal');
     let pageLoaded = false;

     document.addEventListener('DOMContentLoaded', event => {
       pageLoaded = true
       setTimeout(function () {
         modal.open = pageLoaded
       },5)
     })
  </script>
  </body>
</html>
